unit Setup;

interface
uses
  Messages, GLWin32FullScreenViewer, MForm, SysUtils, Forms;

Procedure LoadSetupFile;
Procedure SaveSetupFile;

var
WinW, WinH : integer;
WinColors,  Music, Sound, Talk : byte;
FullWin, Shadows, VerSync : boolean;

implementation

Procedure CreatSetupfile;
begin
  WinW := 640;
  WinH := 480;
  WinColors:=32;
  FullWin := true;
  VerSync := false;
  Shadows := true;
  Music :=10;
  Sound :=10;
  Talk :=10;
  SaveSetupFile;
end;

Procedure SaveSetupFile;
var
  Options : textfile;
begin
  assignfile(Options, ExtractFilePath(Application.ExeName)+'Setup.ini');
  rewrite(Options);
  writeln(Options,'_cdmLex game v.1.1_');
  writeln(Options,'-Опции-');
  writeln(Options,'Ширина:');
  writeln(Options,WinW);
  writeln(Options,'Высота:');
  writeln(Options,WinH);
  writeln(Options,'Глубина цвета:');
  writeln(Options,WinColors);
  writeln(Options,'Поноэкранный режим:');
  writeln(Options,FullWin);
  writeln(Options,'Вертикальная синхронизация:');
  writeln(Options,VerSync);
  writeln(Options,'Тени:');
  writeln(Options,Shadows);
  writeln(Options,'Громкость музыки:');
  writeln(Options,Music);
  writeln(Options,'Громкость звуков:');
  writeln(Options,Sound);
  writeln(Options,'Громкость речи:');
  writeln(Options,Talk);
  CloseFile(Options);
end;


Procedure LoadSetupFile;
/// Загрузка опций и настроек.
var
Options : TextFile;
Stringer : String;
begin
  assignfile(Options, ExtractFilePath(Application.ExeName)+'Setup.ini');
  if FileExists(ExtractFilePath(Application.ExeName)+'Setup.ini') then
    begin
      reset(Options);
      readln(Options,Stringer);
      if Stringer='_cdmLex game v.1.1_' then
      begin
      readln(Options,Stringer);
      readln(Options,Stringer);
      readln(Options,Stringer);
      WinW:=strtoint(Stringer);
      readln(Options,Stringer);
      readln(Options,Stringer);
      WinH:=strtoint(Stringer);
      readln(Options,Stringer);
      readln(Options,Stringer);
      WinColors:=strtoint(Stringer);

      readln(Options,Stringer);
      readln(Options,Stringer);
      if Stringer='TRUE' then
        FullWin:=true
      else
        FullWin:=false;

      readln(Options,Stringer);
      readln(Options,Stringer);
      if Stringer='TRUE' then
        VerSync:=true
      else
        VerSync:=false;

      readln(Options,Stringer);
      readln(Options,Stringer);
      if Stringer='TRUE' then
        Shadows:=true
      else
        Shadows:=false;
        
      readln(Options,Stringer);
      readln(Options,Music);
      readln(Options,Stringer);
      readln(Options,Sound);
      readln(Options,Stringer);
      readln(Options,Talk);
      CloseFile(Options);
      end
      else
      begin
        CloseFile(Options);
        CreatSetupfile;
      end;
    end
  else
  CreatSetupfile;

end;


end.
